var express = require('express');
var session = require('express-session');
var bodyParser = require('body-parser');
var path = require('path');

const connection = require('./config/db.config');
connection.once('open', () => console.log('DB Connected'));
connection.on('error', () => console.log('Error'));

var app = express();

app.use(session({
  secret: 'haklo secret very secret',
  resave: true,
  saveUninitialized: true
}));
app.use(bodyParser.urlencoded({extended : false}));
app.use(bodyParser.json());

app.use('/api/post', require('./post'));
app.use('/text', require('./text'))
app.use('/', require('./login'));
app.get('/', function (req, res) {
  res.sendFile(path.join(__dirname + `/public/index.html`));
})
app.get('/main.js', function(req, res) {
  res.sendFile(path.join(__dirname + '/public/main.js'))
})
app.get('/FetchService.js', function(req, res) {
  res.sendFile(path.join(__dirname + '/public/FetchService.js'))
})
app.get('/getText.js', function(req, res) {
    res.sendFile(path.join(__dirname + '/public/getText.js'))
  })
app.get('/login.html', function (req, res) {
  res.sendFile(path.join(__dirname + `/public/login.html`));
})
app.get('/dist/output.css', function (req, res) {
  res.sendFile(path.join(__dirname + `/../dist/output.css`));
})
app.get('/edit', function(request, res) {
  if (request.session.loggedin) {
    res.sendFile(path.join(__dirname + `/public/edit.html`));
  } else {
    res.send("You need to login at /login.html");
  }
});

app.listen(3000, console.log("http://localhost:3000"))